﻿#region

using MaxMind.GeoIP2.Responses;

#endregion

namespace MaxMind.GeoIP2
{
    /// <summary>
    ///     Interface for database reader
    /// </summary>
    public interface IGeoIP2DatabaseReader : IGeoIP2Provider
    {
        /// <summary>
        ///     Look up an IP address in a GeoIP2 Anonymous IP.
        /// </summary>
        /// <param name="ipAddress">The IP address.</param>
        /// <returns>An <see cref="AnonymousIPResponse" /></returns>
        AnonymousIPResponse AnonymousIP(string ipAddress);

        /// <summary>
        ///     Returns an <see cref="ConnectionTypeResponse" /> for the specified IP address.
        /// </summary>
        /// <param name="ipAddress">The IP address.</param>
        /// <returns>An <see cref="ConnectionTypeResponse" /></returns>
        ConnectionTypeResponse ConnectionType(string ipAddress);

        /// <summary>
        ///     Returns an <see cref="DomainResponse" /> for the specified IP address.
        /// </summary>
        /// <param name="ipAddress">The IP address.</param>
        /// <returns>An <see cref="DomainResponse" /></returns>
        DomainResponse Domain(string ipAddress);

        /// <summary>
        ///     Returns an <see cref="IspResponse" /> for the specified IP address.
        /// </summary>
        /// <param name="ipAddress">The IP address.</param>
        /// <returns>An <see cref="IspResponse" /></returns>
        IspResponse Isp(string ipAddress);
    }
}